#!/bin/bash -ex
cd /root/;

cd Halide-master;

mkdir build;
cd build;

export LLVM_ROOT=/usr/lib/llvm-3.6

cmake \
    -DLLVM_BIN=${LLVM_ROOT}/bin \
    -DLLVM_INCLUDE=${LLVM_ROOT}/include \
    -DLLVM_LIB=${LLVM_ROOT}/lib \
    -DLLVM_VERSION=36 \
    ..

make -j4
